﻿using System;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.menuRefresh.Click += menuRefresh_Click;
            this.menuExit.Click += menuExit_Click;
        }

        void menuRefresh_Click(object sender, EventArgs e)
        {
            MessageBox.Show("새로 고침 버튼 눌림");
        }

        void menuExit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        protected override void OnMouseClick(MouseEventArgs e)
        {
            base.OnMouseClick(e);

            if (e.Button == System.Windows.Forms.MouseButtons.Right)
            {
                ContextMenu ctxMenu = new ContextMenu();

                MenuItem menuItem = new MenuItem("새로 고침");
                menuItem.Click += menuRefresh_Click;
                ctxMenu.MenuItems.Add(menuItem);

                menuItem = new MenuItem("종료");
                menuItem.Click += menuExit_Click;
                ctxMenu.MenuItems.Add(menuItem);

                ctxMenu.Show(this, e.Location);
            }
        }
    }
}
